﻿@using System.Web.UI.WebControls

<table width="900px" height="150px" cellpadding="0" cellspacing="0">
    <colgroup>
        <col width="125px" />
        <col width="125px" />
        <col width="200px" />
        <col width="200px" />
    </colgroup>
    <tr style="margin:0; padding:0">
        <td colspan="2" style="border-left:2px solid #C0C0C0; border-top:2px solid #C0C0C0; border-right:2px solid #C0C0C0; text-align:center; margin:0; padding:0; background-color:#DDDDDD"><p style="margin:0"><b><font size="5"> TRUCK ARRIVAL INFORMATION </font></b></p></td>
        <td style="border-top:2px solid #C0C0C0; border-right:2px solid #C0C0C0; text-align:center; margin:0; padding:0; background-color:#DDDDDD"><p style="margin:0"><b><font size="5"> Remaining Time </font></b></p></td>
        <td style="border-top:2px solid #C0C0C0; border-right:2px solid #C0C0C0; text-align:center; margin:0; padding:0; background-color:#DDDDDD"><p style="margin:0"><b><font size="5"> TIME </font></b></p></td>
    </tr>
    <tr>
        <td style="border-left:2px solid #C0C0C0; border-top:2px solid #C0C0C0; border-right:2px solid #C0C0C0; border-bottom:2px solid #C0C0C0; text-align:center; background-color:#DDDDDD">
                @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblTS1";
                        settings.Text = "TS";
                        settings.ControlStyle.Font.Size = 50;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        //settings.ControlStyle.Font.Bold = true; yang ini ga dipake om
                    }).GetHtml()
                &nbsp;
                @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblTS";
                        settings.Text = "01";
                        settings.ControlStyle.Font.Size = 50;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.Font.Bold = true;

                    }).GetHtml()
        </td>
        <td style="border-top:2px solid #C0C0C0; border-right:2px solid #C0C0C0; border-bottom:2px solid #C0C0C0; text-align:center; background-color:#DDDDDD">
                @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblDock1";
                        settings.Text = "Dock:";
                        settings.ControlStyle.Font.Size = 36;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        //settings.ControlStyle.Font.Bold = true;
                    }).GetHtml()
                @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblDock";
                        settings.Text = "43";
                        settings.ControlStyle.Font.Size = 36;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.Font.Bold = true;
                    }).GetHtml()
        </td>
        <td style="border-top:2px solid #C0C0C0; border-right:2px solid #C0C0C0; border-bottom:2px solid #C0C0C0; text-align:center; background-color:#00FF00">
            @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblRemainingTime";
                        settings.Text = "21";
                        settings.ControlStyle.Font.Size = 55;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.Font.Bold = true;
                    }).GetHtml()
            <b><font size="3">minutes</font></b>
        </td>
        <td style="border-top:2px solid #C0C0C0; border-right:2px solid #C0C0C0; border-bottom:2px solid #C0C0C0; text-align:center; background-color:#DDDDDD">
            @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblTime";
                        settings.Text = "23:59";
                        //settings.Text = DateTime.Now.ToShortTimeString();
                        settings.ControlStyle.Font.Size = 65;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.Font.Bold = true;
                    }).GetHtml()
        </td>
    </tr>
</table>
<table width="900px"  height="150px" cellpadding="0" cellspacing="0">
    <tr style="border-top:2px solid #C0C0C0">
        <td style="width:100px; border-left:2px solid #C0C0C0; background-color:#DDDDDD">&nbsp;</td>
        <td style="width:270px; text-align:center; background-color:#DDDDDD">
            @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblRoute1";
                        settings.Text = "ROUTE";
                        settings.ControlStyle.Font.Size = 20;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.VerticalAlign = VerticalAlign.Bottom;
                        settings.ControlStyle.Font.Bold = true;
                    }).GetHtml()
        </td>
        <td style="width:30px; background-color:#DDDDDD">&nbsp;</td>
        <td style="width:150px; text-align:center; background-color:#DDDDDD">
            @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblRate1";
                        settings.Text = "RATE";
                        settings.ControlStyle.Font.Size = 20;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                        settings.ControlStyle.Font.Bold = true;
                    }).GetHtml()
        </td>
        <td style="width:100px; border-right:2px solid #C0C0C0; background-color:#DDDDDD">&nbsp;</td>
    </tr>
    <tr>
        <td style="width:100px; border-left:2px solid #C0C0C0; background-color:#DDDDDD">&nbsp;</td>
        <td style="width:280px; text-align:center; background-color:#DDDDDD; margin:0; padding:0">
                @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblRoute";
                        settings.Text = "RS28";
                        settings.ControlStyle.Font.Size = 100;
                        settings.ControlStyle.Font.Bold = true; 
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                    }).GetHtml()
        </td>
        <td style="width:5px; text-align:center; background-color:#DDDDDD"><p><b><font size="50"> - </font></b></p></td>
        <td style="width:160px; text-align:center; background-color:#DDDDDD; margin:0; padding:0">
                @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblRate";
                        settings.Text = "07";
                        settings.ControlStyle.Font.Size = 100;
                        settings.ControlStyle.Font.Bold = true;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                    }).GetHtml()
        </td>
        <td style="width:100px; border-right:2px solid #C0C0C0; background-color:#DDDDDD">&nbsp;</td>
    </tr>
</table>
<table width="900px" height="150" cellpadding="0" cellspacing="0">
    <colgroup>
        <col width="150px" />
        <col width="130px" />
        <col width="120px" />
        <col width="130px" />
        <col width="120px" />
    </colgroup>
    <tr>
        <td style="border:2px solid #C0C0C0; text-align:center; margin:0; padding:0; background-color:#DDDDDD">
            @Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblRcvArea1";
                                settings.Text = "Rcv Area";
                                settings.ControlStyle.Font.Size = 20;
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                                //settings.ControlStyle.Font.Bold = true;
                            }).GetHtml()
            <br />
            @Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblRcvArea";
                                settings.Text = "12";
                                settings.ControlStyle.Font.Size = 56;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
        </td>
        <td style="border-top:2px solid #C0C0C0; border-bottom:2px solid #C0C0C0; border-right:0; margin:0; padding:0; background-color:#DDDDDD">
            &nbsp;@Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblArrival";
                                settings.Text = "Arrival";
                                settings.ControlStyle.Font.Size = 15;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.Font.Underline = true;                                
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
                            <br />
            <table>
                <colgroup>
                    <col width="75px" />
                    <col width="75px" />
                </colgroup>
                <tr>
                    <td style="padding-left:4px"><b><font size="5">Plan</font></b></td>
                    <td>
                        @Html.DevExpress().TextBox(
                            settings => {
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.BackColor = System.Drawing.ColorTranslator.FromHtml("#DDDDDD");
                                settings.ControlStyle.Font.Size = 15;
                                settings.Name = "txtArrivalPlan";
                                settings.ReadOnly = true;
                                settings.Text = "12:01";
                                settings.Width = Unit.Pixel(70);
                        }).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="padding-left:4px"><b><font size="5">Actual</font></b></td>
                    <td>
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.BackColor = System.Drawing.ColorTranslator.FromHtml("#DDDDDD");
                                settings.ControlStyle.Font.Size = 15; 
                                settings.Name = "txtArrivalActual";
                                settings.ReadOnly = true;
                                settings.Text = "12:02";
                                settings.Width = Unit.Pixel(70);
                            }).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="padding-left:4px"><b><font size="5">Gap</font></b></td>
                    <td>
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.BackColor = System.Drawing.ColorTranslator.FromHtml("#DDDDDD");
                                settings.ControlStyle.Font.Size = 15; 
                                settings.Name = "txtArrivalGap";
                                settings.ReadOnly = true;
                                settings.Text = "-1";
                                settings.Width = Unit.Pixel(70);
                            }).GetHtml()
                    </td>
                </tr>
            </table>            
        </td>
        <td style="border-top:2px solid #C0C0C0; border-bottom:2px solid #C0C0C0; border-right:2px solid #C0C0C0; border-left:0; margin:0; padding:0; background-color:#DDDDDD">
            <div style="text-align:center">
                <img src="@Url.Content("~/Content/Images/bigreddot1 - Copy.png")" width="100px" alt=""/>
            </div>
            <div style="margin-left:55px; margin-top:1px;">
            @Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblDelay";
                                settings.Text = "LATED";
                                settings.ControlStyle.Font.Size = 11;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                //settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
                            </div>            
        </td>
        <td style="border-top:2px solid #C0C0C0; border-bottom:2px solid #C0C0C0; border-right:0; margin:0; padding:0; background-color:#DDDDDD">
            &nbsp;@Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblDeparture";
                                settings.Text = "Departure";
                                settings.ControlStyle.Font.Size = 15;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.Font.Underline = true;
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
                            <br />
            <table>
                <colgroup>
                    <col width="75px" />
                    <col width="75px" />
                </colgroup>
                <tr style="width:20px">
                    <td style="padding-left:4px"><b><font size="5">Plan</font></b></td>
                    <td>
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.BackColor = System.Drawing.ColorTranslator.FromHtml("#DDDDDD");
                                settings.ControlStyle.Font.Size = 15; 
                                settings.Name = "txtDeparturePlan";
                                settings.ReadOnly = true;
                                settings.Text = "12:21";
                                settings.Width = Unit.Pixel(70);
                            }).GetHtml()
                    </td>
                </tr>
                <tr style="width:20px">
                    <td style="padding-left:4px"><b><font size="5">Actual</font></b></td>
                    <td>
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.BackColor = System.Drawing.ColorTranslator.FromHtml("#DDDDDD");
                                settings.ControlStyle.Font.Size = 15; 
                                settings.Name = "txtDepartureActual";
                                settings.ReadOnly = true;
                                settings.Text = "12:20";
                                settings.Width = Unit.Pixel(70);
                            }).GetHtml()
                    </td>
                </tr>
                <tr style="width:20px">
                    <td style="padding-left:4px"><b><font size="5">Gap</font></b></td>
                    <td>
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.BackColor = System.Drawing.ColorTranslator.FromHtml("#DDDDDD");
                                settings.ControlStyle.Font.Size = 15; 
                                settings.Name = "txtDepartureGap";
                                settings.ReadOnly = true;
                                settings.Text = "1";
                                settings.Width = Unit.Pixel(70);
                            }).GetHtml()
                    </td>                    
                </tr>
            </table>
        </td>
        <td style="border-top:2px solid #C0C0C0; border-bottom:2px solid #C0C0C0; border-right:2px solid #C0C0C0; border-left:0; margin:0; padding:0; background-color:#DDDDDD">
            <div style="text-align:center; background-color:#DDDDDD">
                <img src="@Url.Content("~/Content/Images/biggreendot - copy.png")" width="100px" alt=""/>
                </div>
                <div style="margin-left:55px; margin-top:1px;">
                @Html.DevExpress().Label(
                            settings => {
                                settings.Name = "lblOnTime";
                                settings.Text = "ONTIME";
                                settings.ControlStyle.Font.Size = 11;
                                settings.ControlStyle.Font.Bold = true;
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                settings.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                            }).GetHtml()
            </div>
        </td>
    </tr>
</table>